Bug 148292 - new port: games/searchandrescue, the SearchAndRescue flight simulator
Summary: new port: games/searchandrescue, the SearchAndRescue flight simulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-01 15:00 UTC by Jesse
Modified: 2010-07-22 22:21 UTC (History)
0 users

See Also:


Attachments
file.shar (5.48 KB, text/plain)
2010-07-01 15:00 UTC, Jesse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2010-07-01 15:00:15 UTC
New port: games/searchandrescue

The SearchAndRescue flight simulator is a 3D flight program in which the player pilots planes and helicopters on missions to locate and pick-up people. The "shar" output of this port is included below in the Fix field.

Please note this port relies on games/searchandrescue-data at run-time. Please see report "ports/148291" regarding this dependency. http://www.freebsd.org/cgi/query-pr.cgi?pr=148291

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may 
# create directories; files and directories will be owned by you and 
# have default permissions.                                          
#                                                                    
# This archive contains:                                             
#                                                                    
#       sar                                                          
#       sar/pkg-plist                                                
#       sar/pkg-descr                                                
#       sar/distinfo                                                 
#       sar/Makefile                                                 
#       sar/files                                                    
#       sar/files/patch-sar_config_h                                 
#       sar/files/patch-sar_string                                   
#       sar/files/patch-sar_makefile                                 
#                                                                    
echo c - sar                                                         
mkdir -p sar > /dev/null 2>&1                                        
echo x - sar/pkg-plist                                               
sed 's/^X//' >sar/pkg-plist << '1b80c1f477b657e3acea4aeb96700d79'    
Xgames/SearchAndRescue                                               
1b80c1f477b657e3acea4aeb96700d79                                     
echo x - sar/pkg-descr                                               
sed 's/^X//' >sar/pkg-descr << '87705fee66592efb95b7198d970289d2'    
XThis is a 3D flight simulator in which the player flies around      
Xthe map rescuing people. The game has a selection of several different
Xhelicoptors and a jet airplane to choose from. The game includes      
Xtraining missions, more complete missions and a campaign mode as      
Xwell as a free flight option for people who just want to explore.     
X                                                                      
XWWW: http://searchandrescue.sourceforge.net/                          
87705fee66592efb95b7198d970289d2                                       
echo x - sar/distinfo                                                  
sed 's/^X//' >sar/distinfo << '7e02a14e211b323ddef00c740da782f1'       
XMD5 (SearchAndRescue-1.0.0.tar.gz) = 348d134860cccbc12d5bad185e0c6ef6 
XSHA256 (SearchAndRescue-1.0.0.tar.gz) = 42b58c690fa5eea36b3c3eac1e8af8c83b47469474d24d78bfc7c9071e8db14d                                                         
XSIZE (SearchAndRescue-1.0.0.tar.gz) = 852403                                    
7e02a14e211b323ddef00c740da782f1                                                 
echo x - sar/Makefile                                                            
sed 's/^X//' >sar/Makefile << '13dab9a58c0a200163b148a634dc9398'                 
X# New ports collection makefile for:   SearchAndRescue                          
X# Date created:                        10 June 2010                             
X# Whom:                                Jesse Smith <jessefrgsmith@yahoo.ca>     
X#                                                                               
X# $FreeBSD$                                                                     
X#                                                                               
X                                                                                
XPORTNAME=      SearchAndRescue                                                  
XPORTVERSION=   1.0.0                                                            
XPORTREVISION=  1                                                                
XCATEGORIES=    games                                                            
XMASTER_SITES=  SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}                        
XDISTNAME=      ${PORTNAME}-${PORTVERSION}                                       
X                                                                                
XMAINTAINER=    jessefrgsmith@yahoo.ca                                           
XCOMMENT=       A flight simulator in which the player rescues people.           
X                                                                                
XUSE_SDL=       sdl                                                              
XUSE_GMAKE=     yes                                                              
X# GNU_CONFIGURE=       yes                                                      
XUSE_OPENGL=    yes                                                              
XRUN_DEPENDS=   ${LOCALBASE}/share/games/searchandrescue/human.ini:${PORTSDIR}/games/searchandrescue-data                                                         
X                                                                                
Xpost-extract:                                                                   
X       mv ${WRKDIR}/searchandrescue_${PORTVERSION} ${WRKDIR}/${PORTNAME}-${PORTVERSION}                                                                          
X                                                                                
X.include <bsd.port.mk>                                                          
13dab9a58c0a200163b148a634dc9398                                                 
echo c - sar/files                                                               
mkdir -p sar/files > /dev/null 2>&1                                              
echo x - sar/files/patch-sar_config_h                                            
sed 's/^X//' >sar/files/patch-sar_config_h << 'ad40f7ada2fe7c3c58f94d81d0d0c0e0' 
X--- sar/config.h.old   2010-07-01 09:51:37.000000000 -0300                      
X+++ sar/config.h       2010-07-01 09:52:18.000000000 -0300                      
X@@ -477,7 +477,7 @@                                                             
X #define SAR_DEF_LOCAL_DATA_DIR  ".SearchAndRescue"                             
X                                                                                
X /* Global game dir */                                                          
X-#define SAR_DEF_GLOBAL_DATA_DIR "/usr/share/games/searchandrescue"             
X+#define SAR_DEF_GLOBAL_DATA_DIR "/usr/local/share/games/searchandrescue"       
X                                                                                
X /* Subdirs, one of each in the local and global game dirs */                   
X #define SAR_DEF_AIRCRAFTS_DIR         "aircrafts"                              
ad40f7ada2fe7c3c58f94d81d0d0c0e0                                                 
echo x - sar/files/patch-sar_string                                              
sed 's/^X//' >sar/files/patch-sar_string << 'af4c20d1579c87b8342a67abac6a4578'   
X--- /home/jesse/Ports/sar/work/SearchAndRescue-1.0.0/sar/string.cpp    2010-03-14 18:29:22.000000000 -0300                                                       
X+++ string.cpp 2010-06-03 21:32:54.000000000 -0300                              
X@@ -30,7 +30,7 @@                                                               
X int strcasecmp(const char *s1, const char *s2);                                
X #endif                                                                         
X #ifndef _GNU_SOURCE                                                            
X-char *strcasestr(const char *haystack, const char *needle) throw();            
X+char *strcasestr(const char *haystack, const char *needle);                    
X #endif /* _GNU_SOURCE not defined */                                           
X int strpfx(const char *s, const char *pfx);                                    
X int strcasepfx(const char *s, const char *pfx);                                
X@@ -221,7 +221,7 @@                                                             
X  *    Case insensitive version of strstr(). Returns the pointer to             
X  *    needle in haystack if found or NULL on no match.                         
X  */                                                                            
X-char *strcasestr(const char *haystack, const char *needle) throw()             
X+char *strcasestr(const char *haystack, const char *needle)                     
X {                                                                              
X       const char *strptr1, *strptr2, *strptr3;                                 
X                                                                                
af4c20d1579c87b8342a67abac6a4578                                                 
echo x - sar/files/patch-sar_makefile                                            
sed 's/^X//' >sar/files/patch-sar_makefile << '7072653c7621a99afe53acbd4eee0535' 
X--- sar/Makefile.orig  2010-06-10 21:07:49.000000000 -0300                      
X+++ sar/Makefile       2010-06-11 09:57:56.000000000 -0300                      
X@@ -1,12 +1,12 @@                                                               
X # Platform Configurator generated Makefile                                     
X #                                                                              
X-PREFIX = /usr                                                                  
X+PREFIX = /usr/local/                                                           
X                                                                                
X-CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -Wno-write-strings -DHAVE_SDL_MIXER                    
X+CFLAGS = -Wall -O6 -funroll-loops -fomit-frame-pointer -ffast-math -D__USE_BSD -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -I/usr/local/include
X
X INC_DIRS =
X
X-LIBS = -lm -lSM -lICE -lX11 -lXext -lXi -lXmu -lXpm -lXxf86vm -lGL -lGLU -lpthread -lSDL -lSDL_mixer
X+LIBS = -lm -lSM -lICE -lX11 -lXext -lXmu -lXpm -lXxf86vm -lGL -lGLU
X
X LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/
X
X@@ -39,7 +39,7 @@
X
X # Programs
X LS      = ls
X-LSFLAGS = -s -h -c --color=auto
X+LSFLAGS = -s -h -c
X RM      = rm
X RMFLAGS = -f
X
X@@ -56,9 +56,8 @@
X       @echo "Building program \"$(BIN)\"..."
X
X postbuild:
X-      @echo "Build done. To install..."
X-      @echo "On Ubuntu and related distributions type \"sudo make install\"."
X-      @echo "On most other distributions, type \"su\" to gain root privileges and then type \"make install\"."
X+      @echo "Build done."
X+      @echo "To install, type \"su\" (to gain root privileges) and then type \"make install\"."
X
X all: $(BIN)
X
7072653c7621a99afe53acbd4eee0535
exit



Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2010-07-19 16:04:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-07-22 22:17:35 UTC
makc        2010-07-22 21:17:27 UTC

  FreeBSD ports repository

  Added files:
    games/searchandrescue Makefile distinfo pkg-descr 
    games/searchandrescue/files patch-SearchAndRescue.desktop 
                                patch-sar__Makefile 
                                patch-sar__config.h 
  Log:
  Add new port games/searchandrescue:
  
  This is a 3D flight simulator in which the player flies around
  the map rescuing people. The game has a selection of several different
  helicoptors and a jet airplane to choose from. The game includes
  training missions, more complete missions and a campaign mode as
  well as a free flight option for people who just want to explore.
  
  WWW:    http://searchandrescue.sourceforge.net/
  
  PR:             based on ports/148292
  Submitted by:   Jesse Smith <jessefrgsmith at yahoo.ca>
  
  Revision  Changes    Path
  1.1       +47 -0     ports/games/searchandrescue/Makefile (new)
  1.1       +3 -0      ports/games/searchandrescue/distinfo (new)
  1.1       +10 -0     ports/games/searchandrescue/files/patch-SearchAndRescue.desktop (new)
  1.1       +39 -0     ports/games/searchandrescue/files/patch-sar__Makefile (new)
  1.1       +20 -0     ports/games/searchandrescue/files/patch-sar__config.h (new)
  1.1       +7 -0      ports/games/searchandrescue/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2010-07-22 22:21:06 UTC
State Changed
From-To: open->closed

Committed with some modifications. Thanks!